Subject: Re: pewter, metals, good source

From: [email-masked] (Richard Turner)
Date: Sat, 07 Dec 1996 23:37:17 GMT

"Steven O. Smith" <[email-masked]> wrote:

:>robert bowser wrote:
:>> 
:>> could somebody tell me a good supplier of pewter or the components
:>> to make pewter,  I am looking to manufacturer pewter miniautures
:>> and looking for a good source
:>
:>Oster Alloys (pewter)
:>50 Sims Ave.
:>Providence, RI 02909
:>401/421-3840
:>Claude St. Yves, sales
:>
:>Peter Gomes
:>Lehigh Metals Corp.
:>Lehigh St. Providence, RI 02903
:>1-401-941-7361
:>
:>Atlas Metals
:>1401 Umatilla
:>Denver, CO
:>(303)623-0143
:>
:>-- 
:>Steven O. Smith
:>[email-masked]

Here's another one;  their prices are a bit better than Oster;  I
don't have any experience with the other folks Steven listed, but I'm
saving the information.

Allan Thurber
P.O. Box 2884
Providence, RI 02907
401 785-2040

Richard

~~~~~~~~~~~~~~~
[email-masked]